Subject: Re: bug#40558: (no subject)

From: Ricardo Wurmus <[email-masked]>
Date: Mon, 26 Oct 2020 23:10:04 +0100

[email-masked] writes:

> With the patch to texlive-amsfonts the above typesets just fine;
> however, metafont ends up generating cmmi10.657pk and cmr10.657pk font
> files. Is this expected? Typsetting it from the texlive installation
> of my foreign distro doesn't call out to metafont at all.

This is a problem with the modular TeX Live packages.  The pk files are
bitmap fonts.  I found that adding texlive-cm-super to the union helps
in that the bitmap variants of the CM fonts will not be generated any
more.  More font packages may be needed in the union to prevent TeX from
falling back to bitmap fonts in other cases.

In any case, that’s unrelated to Jelle’s patch, which looks fine to me.

-- 
Ricardo